import {
    RECEIVE_MY_COURSES,
    INVALIDATE_COURSEDATA
} from './actions'

const initialState = {
    shouldFetch: true,
    courseData: [],
    page: 0,
    num: 0
}


export default function myCourses(state = initialState, action) {
    switch (action.type) {
        case RECEIVE_MY_COURSES:
            return {...state, ...action.payload}
        case INVALIDATE_COURSEDATA:
            return {...state, shouldFetch: false}
        default:
            return state
    }
}